Changes between Initial Version and Version 1 of SupportedOperatingSystems


Ignore:
Timestamp:
06/08/08 07:55:42 (12 years ago)
Author:
alamaison
Comment:

Updated info for 0.2.1.4 release

Legend:

Unmodified
Added
Removed
Modified
  • SupportedOperatingSystems

    v1 v1  
     1Swish has been tested (at varying levels) with the following 32-bit versions of Windows: 
     2 
     3 * [wiki:WindowsXP Windows XP] (most tested) 
     4 * [wiki:Windows2000 Windows 2000] (occasionally tested) 
     5 * [wiki:WindowsMe Windows Me] (rarely tested) 
     6 * [wiki:Windows98 Windows 98] (regularly tested) 
     7 
     8Unfortunately, [wiki:Windows95 Windows 95] and [wiki:WindowsNT4 NT 4] are not immediately supported.  This is because the C runtime used when compiling with Visual Studio 2005 is no longer compatible with their API. There are a few ways you can work round this if you wish: 
     9 * Compile Swish using Visual Studio 2003.  You may have to fix the code to allow this; I've never tried it. 
     10 * Make ''all'' the projects statically link to the runtime library ({{{/MT}}}).  In addition you will have to use a version of OpenSSL similarly linked so you will have to compile your own. The instructions that come with OpenSSL make it clear how to do this. Again, I haven't tried this myself so it might not work.